Subject: bug#52286: 28.0.90; [PATCH] Be consistent in naming of separators in context menu

From: Jim Porter <[email-masked]>
Date: Sat, 4 Dec 2021 23:44:07 -0800

On 12/4/2021 10:45 PM, Eli Zaretskii wrote:
>> From: Jim Porter <[email-masked]>
>> Date: Sat, 4 Dec 2021 13:57:31 -0800
>>
>> This is spun off from bug#52237[1]. There's a minor issue with
>> `context-menu-mode' where some of the separators are named
>> `FOO-separator' and others are named `separator-FOO'.
[snip]
> 
> If you want to introduce a convention that others should follow, this
> convention should be documented in the ELisp manual.
> 
>> Hopefully this is a small enough change to make it into Emacs 28, since
>> otherwise I think we'd just have to live with the names as they are
>> forever.
> 
> The first pretest of Emacs 28 is already out, so this problem is
> already with us, isn't it?

If it's too late to change this, that's ok. I just noticed it while 
working on the patch for bug#52237 and figured it'd be good to file a 
bug about it while there's still a non-zero chance it could be changed. 
It's a pretty minor issue, so I don't really mind if this gets closed as 
wontfix.

If this change *is* ok to merge, I'll happily update the ELisp manual 
with a brief summary of the convention before it gets merged.